#!/usr/bin/perl -w

#
# Copyright 2010 Frank Adelstein.  All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this
# software is hereby granted without fee, provided that
# the copyright notice and permission notice are not removed.
#

use strict;
use Gtk2 '-init';
use Gtk2::Gdk::Keysyms;
use File::Basename;

use constant TRUE  => 1;
use constant FALSE => 0;

# save starting directory
my $dir = `pwd`;
chomp $dir;

# change default directory to program's location
chdir dirname $0 ;

# load in lots of support files
require "dm_incl.pm";

#reset current directory
chdir $dir;


# store name/object lookups
my %Whash;
my %Vars;

reset_defaults(\%Whash, \%Vars);

# for testing
#read_xml("/home/frank/Documents/k_naresh17.dnd4e", \%xml, \%Vars);
#read_xml("/home/frank/Documents/surgetest.dnd4e", \%xml, \%Vars);

my $window = Setup(\%Whash, \%Vars);

$window->show_all;

$Whash{'defACspinner'}->hide();
#$Whash{'defACbutton'}->hide();
$Whash{'defFORTspinner'}->hide();
#$Whash{'defFORTbutton'}->hide();
$Whash{'defREFspinner'}->hide();
#$Whash{'defREFbutton'}->hide();
$Whash{'defWILLspinner'}->hide();
#$Whash{'defWILLbutton'}->hide();

Gtk2->main;


